Subject: Re: bug#15029: 24.3; feature-request: add window-focus-lost-hook

From: Glenn Morris <[email-masked]>
Date: Wed, 07 Aug 2013 23:34:59 -0400

Richard Stallman wrote:

> I think it is a very bad idea to run Lisp code because the user
> switches windows.  I intentionally did not create such hooks, because
> their use would lead to confusing behavior which is impossible to
> debug.
>
> The user should be able to switch around between windows without
> disturbing them at all.

We are not talking about what you think we are talking about (at least,
I think so).

We are talking about when the input focus enters and leaves Emacs in a
GUI environment.